﻿@page
@model IndexModel
@{
	var username = HttpContext.Session.GetString("Username");
	var nameDisp = HttpContext.Session.GetString("UserNameDisp");
	var role = HttpContext.Session.GetString("Role");
	int userId = -1;
	if (HttpContext.Session.GetString("UserId") != null)
	{
		userId = int.Parse(HttpContext.Session.GetString("UserId"));
	}
}
<nav style="float: right">
	<div class="container">
		@if (username != null)
		{
			<span class="navbar-text mr-3">Welcome, @nameDisp</span>
			<form class="form-inline" asp-page="/login/logout" method="get">
				<button type="submit" class="btn btn-link nav-link">Logout</button>
			</form>
			<div>
				<form class="form-inline" asp-page="/newpost/newpost" method="get">
					<button type="submit" class="btn btn-link nav-link">Create new post</button>
				</form>
			</div>
			if (role == "2")
			{
				<div>
					<form class="form-inline" asp-page="/admin/UserManage" method="get">
						<button type="submit" class="btn btn-link nav-link">User Manage</button>
					</form>
				</div>
			}
			if (role == "3")
			{
				<div>
					<form class="form-inline" asp-page="/admin/censor" method="get">
						<button type="submit" class="btn btn-link nav-link">Post Moderation</button>
					</form>
				</div>
			}
			<div>
				<form class="form-inline" asp-page="/usermanage/profile" method="get">
					<button type="submit" class="btn btn-link nav-link">Profile</button>
				</form>
			</div>

		}
		else
		{
			<a class="btn btn-primary" href="/Login/regist">Register</a>
			<a class="btn btn-primary" href="/Login/login">Login</a>
		}
	</div>
</nav>
<!-- Main Content -->
<div class="container mt-4">
	<!-- Search form -->
	<div class="row">
		<div class="col-md-6 offset-md-3">
			<form asp-page-handler="Search" method="post" class="form-inline mb-4">
				<div class="input-group w-100">
					<input type="text" class="form-control" asp-for="SearchTerm" placeholder="Search by title" aria-label="Search" aria-describedby="button-addon2">
					<button class="btn btn-primary" type="submit" id="searchButton">Search</button>
				</div>
			</form>
		</div>
	</div>
	<div class="row">
		<!-- Lastest Articles -->
		<ul class="list-group" style="border: none">
			@if (Model.PostList.Count() == 0 || Model.PostList.All(post => post.IsCensor == 0))
			{
				<h4>No posts to show</h4>
			}
			else
			{
				@for (int i = 0; i < Model.PostList.Count(); i++)
				{
					@if (Model.PostList[i].IsCensor == 1)
					{
						<li class="list-group-item" style="border: none">
							<div class="row" style="padding-bottom: 10px; border-bottom: 1px solid;">
								<div class="col-md-3">
									<h5><a href="ArticleDetails?Id=@Model.PostList[i].PostId">@Model.PostList[i].PostHeader</a></h5>
									<p>@Model.PostList[i].PostGraph1</p>
								</div>
								<div class="col-md-7">
									<img class="latestpost-image" src="@Url.Content(Model.PostList[i].Image1Path)" alt="Popular Post Image" style="width: 500px; height: 350px;">
								</div>
								<div class="col-md-2">
									@if (Model.roleId == "3")
									{
										<form method="post" asp-page-handler="Decensor">
											<input type="hidden" name="postId" value="@Model.PostList[i].PostId" />
											<button type="submit" class="btn btn-warning">Decensor</button>
										</form>
										<form method="post" asp-page-handler="Delete">
											<input type="hidden" name="postId" value="@Model.PostList[i].PostId" />
											<button type="submit" class="btn btn-danger">Delete</button>
										</form>
									}
								</div>
							</div>
						</li>
					}
				}
			}
		</ul>
	</div>
</div>



